Lister vos réglages
curl --request GET \
--url https://api.saspay.me/api/v1/merchant-configs/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.saspay.me/api/v1/merchant-configs/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.saspay.me/api/v1/merchant-configs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"next": null,
"previous": null,
"results": [
{
"id": "c1d2e3f4-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"key": "ALLOW_CLIENT_OVERRIDE",
"value": "true",
"type": "boolean",
"description": "Autoriser le client à choisir qui paie les frais",
"created_at": "2026-07-01T09:00:00Z",
"updated_at": "2026-07-01T09:00:00Z"
},
{
"id": "e2f3a4b5-6c7d-4e8f-9a0b-1c2d3e4f5a6b",
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"key": "DEFAULT_FEE_CHARGE_MODE",
"value": "DEDUCTED",
"type": "enum",
"description": "Mode de frais par défaut pour ce marchand — encaissement",
"created_at": "2026-07-01T09:00:00Z",
"updated_at": "2026-07-05T10:00:00Z"
}
]
}Marchand
Lister vos réglages
Vos merchant-configs actuellement définis
GET
/
merchant-configs
/
Lister vos réglages
Pas de filtre
?key= disponible sur cet endpoint.Authorizations
Clé API secrète du marchand — header Authorization: Bearer sk_live_xxx (ou sk_test_xxx en environnement de test).
Query Parameters
Taille de page, 100 maximum
Required range:
x <= 100Response
200 - application/json
Liste paginée de vos merchant-configs
⌘I